package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.biz.dal.enums.JobTypeEnum;
import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 老师乐团课程信息
 */
public class TeacherMusicClassInfoDto {
    @ApiModelProperty(value = "乐团编号", required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称", required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "全职、兼职类型", required = false)
    private JobNatureEnum jobNature;

    @ApiModelProperty(value = "教务老师编号", required = false)
    private Integer educationalTeacherId;

    @ApiModelProperty(value = "运营主管编号", required = false)
    private Integer teamTeacherId;

    @ApiModelProperty(value = "教师角色", required = false)
    private String teacherRole;

    @ApiModelProperty(value = "执教班级名称", required = false)
    private String classGroupNames;

    @ApiModelProperty(value = "执教班级编号", required = false)
    private String classGroupIds;

    @ApiModelProperty(value = "教师乐团职务类型", required = false)
    private JobTypeEnum jobType;

    @ApiModelProperty(value = "乐团状态",required = false)
    private MusicGroupStatusEnum status;

    @ApiModelProperty(value = "出勤次数",required = false)
    private Integer attendanceNum;

    @ApiModelProperty(value = "是否又剩余课时",required = false)
    private Integer hasRestClass;

    public Integer getHasRestClass() {
        return hasRestClass;
    }

    public void setHasRestClass(Integer hasRestClass) {
        this.hasRestClass = hasRestClass;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
    }

    public Integer getAttendanceNum() {
        return attendanceNum;
    }

    public void setAttendanceNum(Integer attendanceNum) {
        this.attendanceNum = attendanceNum;
    }

    public JobTypeEnum getJobType() {
        return jobType;
    }

    public void setJobType(JobTypeEnum jobType) {
        this.jobType = jobType;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public JobNatureEnum getJobNature() {
        return jobNature;
    }

    public void setJobNature(JobNatureEnum jobNature) {
        this.jobNature = jobNature;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public Integer getTeamTeacherId() {
        return teamTeacherId;
    }

    public void setTeamTeacherId(Integer teamTeacherId) {
        this.teamTeacherId = teamTeacherId;
    }

    public String getClassGroupNames() {
        return classGroupNames;
    }

    public void setClassGroupNames(String classGroupNames) {
        this.classGroupNames = classGroupNames;
    }

    public String getClassGroupIds() {
        return classGroupIds;
    }

    public void setClassGroupIds(String classGroupIds) {
        this.classGroupIds = classGroupIds;
    }

    public MusicGroupStatusEnum getStatus() {
        return status;
    }

    public void setStatus(MusicGroupStatusEnum status) {
        this.status = status;
    }
}
